[arch-commits] Commit in gvim/trunk (PKGBUILD fetch_patches.sh)

Daniel Griffiths dgriffiths at archlinux.org
Mon Feb 22 05:04:54 UTC 2010


    Date: Monday, February 22, 2010 @ 00:04:54
  Author: dgriffiths
Revision: 69725

FS#16710 - Thanks to drmikehenry

Modified:
  gvim/trunk/PKGBUILD
  gvim/trunk/fetch_patches.sh

------------------+
 PKGBUILD         |    6 +++---
 fetch_patches.sh |    7 +++----
 2 files changed, 6 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-02-22 04:33:17 UTC (rev 69724)
+++ PKGBUILD	2010-02-22 05:04:54 UTC (rev 69725)
@@ -11,7 +11,7 @@
 license=('custom:vim')
 url="http://www.vim.org"
 depends=("vim>=${pkgver}" 'python' 'libxt' 'desktop-file-utils' 'gtk2')
-makedepends=('pkgconfig' 'sed' 'perl' 'curl')
+makedepends=('pkgconfig' 'sed' 'perl' 'curl' 'rsync' 'ruby')
 install=${pkgname}.install
 source=(ftp://ftp.vim.org/pub/vim/unix/vim-${_srcver}.tar.bz2 \
         ftp://ftp.vim.org/pub/vim/extra/vim-${_srcver}-extra.tar.gz \
@@ -19,7 +19,7 @@
         ${pkgname}.desktop fetch_patches.sh)
 md5sums=('f0901284b338e448bfd79ccca0041254' '35e04482f07c57221c9a751aaa3b8dac' \
          'd8884786979e0e520c112faf2e176f05' '2be104c0372dd6dae19cb7968c03cd4f' \
-         '159d4d11ecaf85c06623a02c1f843d01')
+         '9c8f6b302fc3f343962686b8cf4a0350')
 
 build()
 {
@@ -36,7 +36,7 @@
     --with-compiledby=ArchLinux --with-features=big \
     --with-x=yes --disable-gpm --enable-gui=gtk2 \
     --enable-multibyte --enable-cscope --enable-netbeans \
-    --enable-perlinterp --enable-pythoninterp --disable-rubyinterp
+    --enable-perlinterp --enable-pythoninterp --enable-rubyinterp
 
   make || return 1
 }

Modified: fetch_patches.sh
===================================================================
--- fetch_patches.sh	2010-02-22 04:33:17 UTC (rev 69724)
+++ fetch_patches.sh	2010-02-22 05:04:54 UTC (rev 69725)
@@ -7,12 +7,11 @@
   let _patchlevel=$_patchlevel+1
   _currpatch=$(cat MD5SUMS | wc -l)
   sed -i "${_patchlevel},\$d" MD5SUMS
-  cat MD5SUMS | awk '{ print $2 }' | sed -e \
-    "s|^|ftp://ftp.vim.org/pub/vim/patches/${_srcver}/|" | \
-    xargs -P 0 -r -n 1 wget -nv
+  rsync -avzcP "ftp.nluug.nl::Vim/patches/${_srcver}/${_srcver}.*" .
   md5sum -c MD5SUMS > /dev/null || return 1
+  > vim.full.patch.log
   for file in $(cat MD5SUMS | awk '{ print $2 }')
-    do patch -p0 < $file > vim.full.patch.log; done
+    do patch -d ${_versiondir} -p0 < $file >> vim.full.patch.log || return 1; done
 
   ########
 




More information about the arch-commits mailing list